[tasque] [build] Add check for gconf-2.0 in autogen.sh



commit ae5f788bc4c851a910e5ebb6afcff8ad9ceeaf01
Author: Antonius Riha <antoniusriha gmail com>
Date:   Fri Aug 24 12:42:36 2012 +0200

    [build] Add check for gconf-2.0 in autogen.sh
    
    gconf-2.0 is recommended for a "flawless" build configuration. On
    Ubuntu 12.04, if gconf-2.0 is not installed, it takes to passes of
    autogen.sh/configure before the script runs and exits successfully.

 autogen.sh |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index ebf1f7d..cdd906d 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -17,4 +17,9 @@ which gnome-autogen.sh || {
     exit 1
 }
 
+if ! pkg-config gconf-2.0 ; then
+	echo -n "**Warning**: You should install gconf-2.0. Otherwise you"
+	echo " may experience problems when running autogen.sh/configure."
+fi
+
 REQUIRED_AUTOMAKE_VERSION=1.9 USE_GNOME2_MACROS=1 . gnome-autogen.sh



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]